Bug 12934 - rss_matrixview показывает рекламу knoppix.ru
: rss_matrixview показывает рекламу knoppix.ru
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rss_glx)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-09-26 17:12 by
Modified: 2008-04-17 16:30 (History)


Attachments
pix.ah.xpm (16.63 KB, text/plain)
2007-09-27 00:29, Sir Raorn
no flags Details
картинка с надписью altlinux.ru (14.96 KB, text/plain)
2007-09-27 11:41, Anton V. Boyarshinov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-09-26 17:12:07
rss_matrixview большими буквами показывает рекламу knoppix.ru Нехорошо..
------- Comment #1 From 2007-09-26 17:13:55 -------
картинка, вероятно, содержится в файле other_src/matrixview_textures/cpics
------- Comment #2 From 2007-09-26 17:15:24 -------
автору
------- Comment #3 From 2007-09-26 23:53:20 -------
Знать бы ещё в каком оно формате...
------- Comment #4 From 2007-09-27 00:29:51 -------
Created an attachment (id=2211) [details]
pix.ah.xpm

Картинко 90x70, один байт на пиксель.  Значение обратно пропорционально
"яркости".
------- Comment #5 From 2007-09-27 00:31:59 -------
Выкидывать я это не буду, количество картинок забито в коде.  Рисовать я тоже
не
умею.  Будет такое же картинко с "правильной" рекламой - заменю.  Grayscale,
90x70.
------- Comment #6 From 2007-09-27 11:41:08 -------
Created an attachment (id=2212) [details]
картинка с надписью altlinux.ru
------- Comment #7 From 2007-09-27 11:41:55 -------
приложил картинку
------- Comment #8 From 2007-09-27 12:14:02 -------
Я бы не стал этого делать.

Во-первых, люди громко гордились тем, что они кому-то заплатили за разработку
этого скринсейвера (пятьдесят, что ли, баксов, или пару сотен -- не помню).

Во-вторых, они точно и с изрядным шумом припомнят все разногласия с ALT Linux и
в этом случае будут по-своему правы.

Короче, я бы закрыл как INVALID или WONTFIX, а если хочется -- поискал в
исходниках имя автора и попробовал связаться с ним насчёт версии с брендом ALT.

PS: если это для Lite, повторюсь -- не надо туда GL-скринсейверов по умолчанию,
много где это будут тормоза на ровном месте.
------- Comment #9 From 2007-09-27 12:24:32 -------
/*
 * Copyright (C) 2003 Alex Zolotov <nightradio (a) knoppix.ru>
 * Mucked with by Tugrul Galatali <tugrul (a) galatali.com>
 *
 * MatrixView is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as 
 * published by the Free Software Foundation.
 *
 * MatrixView is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

Мне в принципе несложно и поменять, но с Золотовым общаться неохота.  Можно
сделать специальную сборку для Desktop/Lite/Whatever - вы только нетехнические
вопросы с авторами утрясите.

А ещё rss-matrixview имеет опцию -i, каталог с картинками.  В этом случае
втроенные картинки вообще не используются.
------- Comment #10 From 2007-09-27 12:26:22 -------
из lite gl скринсэйверы убрали.
Придётся видимо убрать и из следующей сборки desktop.
------- Comment #11 From 2007-09-27 12:30:19 -------
но, вообще говоря, я не вижу причин, по которым мы должны сохранять эту надпись
на основании того, что они оплатили разработку скринсэйвера.
------- Comment #12 From 2007-09-27 13:35:34 -------
В Desktop как раз нормально, для "современного" железа 3D фактически
обязательно.  Только надо его починить и перепроверить не только на своём
железе.

> вообще говоря, я не вижу причин
Я не причины для _должны_ указал, а наиболее вероятные последствия.

См. e.g. http://www.opennet.ru/openforum/vsluhforumID3/38440.html -- Илья
Шпаньков имеет некоторое отношение к этой братии.

Ну или AEN вон спроси.

Хотя -i кажется целиком нормальным вариантом, раз уж он есть. (разница с
патчем,
естественно, чисто политическая)
------- Comment #13 From 2007-11-24 14:23:36 -------
WONTFIX?
------- Comment #14 From 2007-11-24 14:29:12 -------
-i

Хотя и в рекламе knoppix.ru не вижу большой беды.
------- Comment #15 From 2007-11-24 15:19:04 -------
-i что?

Я могу положить в пакет сконвертированные картинки в отдельный каталог и
изменить дефолтные опции.
Могу просто добавить опцию -i, если такого каталога нет, он выругается в stderr
и будет использовать встроенные изображения.
Могу вообще добавить опцию -i и зависимость на какой-ньдь виртуальный
rss-matrixview-images, токо надо чтобы имена картинок не пересекались в разных
пакетах.

Второй вариант лучше, можно делать "темы" для разных дистрибутивов...
------- Comment #16 From 2007-11-24 15:26:10 -------
(In reply to comment #15)
> -i что?
> 
> Я могу положить в пакет сконвертированные картинки в отдельный каталог и
> изменить дефолтные опции.
> Могу просто добавить опцию -i, если такого каталога нет, он выругается в stderr
> и будет использовать встроенные изображения.
> Могу вообще добавить опцию -i и зависимость на какой-ньдь виртуальный
> rss-matrixview-images, токо надо чтобы имена картинок не пересекались в разных
> пакетах.
> 
> Второй вариант лучше, можно делать "темы" для разных дистрибутивов...

Да, второй вариант лучше.
------- Comment #17 From 2008-04-17 16:30:53 -------
В -alt2 в опции добавлено -i /usr/share/rss_glx-matrixvew

Каталога этого в пакете _НЕТ_, fallback на встроенные изображения выполняется
только при отсутствии самого каталога (не забывайте в пакет с картинками
прописывать и сам каталог, чтобы он удалялся вместе с пакетом).